
.. currentmodule:: silx.gui.plot

:mod:`StatsWidget`: Display a set of statictics for plot items
==============================================================

.. automodule:: silx.gui.plot.StatsWidget

.. currentmodule:: silx.gui.plot.StatsWidget

:class:`StatsWidget` class
--------------------------

.. autoclass:: StatsWidget
   :show-inheritance:
   :members:


:class:`BasicStatsWidget` class
-------------------------------

.. autoclass:: BasicStatsWidget
   :show-inheritance:
   :members:


:class:`StatsTable` class
-------------------------

.. autoclass:: StatsTable
   :show-inheritance:
   :members:


:class:`BasicLineStatsWidget` class
-----------------------------------

.. autoclass:: BasicLineStatsWidget
   :show-inheritance:
   :members:


:class:`BasicGridStatsWidget` class
-----------------------------------

.. autoclass:: BasicGridStatsWidget
   :show-inheritance:
   :members:

